<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$text_link_color    = get_post_meta( $postID, '_yaymail_email_textLinkColor_settings', true ) ? get_post_meta( $postID, '_yaymail_email_textLinkColor_settings', true ) : '#96588a';
$yaymail_settings   = get_option( 'yaymail_settings' );
$orderImagePostions = isset( $yaymail_settings['image_position'] ) && ! empty( $yaymail_settings['image_position'] ) ? $yaymail_settings['image_position'] : 'Top';
$orderImage         = isset( $yaymail_settings['product_image'] ) && '0' != $yaymail_settings['product_image'] ? $yaymail_settings['product_image'] : '0';
$image_width        = isset( $yaymail_settings['image_width'] ) ? $yaymail_settings['image_width'] : 32;
$image_height       = isset( $yaymail_settings['image_height'] ) ? $yaymail_settings['image_height'] : 32;
$image_size         = isset( $yaymail_settings['image_size'] ) ? $yaymail_settings['image_size'] : 'thumbnail';
$titleProduct       = isset( $attrs['titleProduct'] ) ? $attrs['titleProduct'] : 'Product';
$titleQuantity      = isset( $attrs['titleQuantity'] ) ? $attrs['titleQuantity'] : 'Quantity';
$titlePrice         = isset( $attrs['titlePrice'] ) ? $attrs['titlePrice'] : 'Price';
$borderColor        = isset( $attrs['borderColor'] ) && $attrs['borderColor'] ? 'border-color:' . html_entity_decode( $attrs['borderColor'], ENT_QUOTES, 'UTF-8' ) : 'border-color:inherit';
$textColor          = isset( $attrs['textColor'] ) && $attrs['textColor'] ? 'color:' . html_entity_decode( $attrs['textColor'], ENT_QUOTES, 'UTF-8' ) : 'color:inherit';
$titleColor         = isset( $attrs['titleColor'] ) && $attrs['titleColor'] ? 'color:' . html_entity_decode( $attrs['titleColor'], ENT_QUOTES, 'UTF-8' ) : 'color:inherit';
?>
<table
  width="<?php esc_attr_e( $general_attrs['tableWidth'], 'woocommerce' ); ?>"
  cellspacing="0"
  cellpadding="0"
  border="0"
  align="center"
  style="display: table; 
	<?php echo esc_attr( 'background-color: ' . $attrs['backgroundColor'] ); ?>; 
	<?php echo esc_attr( 'min-width: ' . $general_attrs['tableWidth'] . 'px' ); ?>; 
  "
  class="web-main-row"
  id="web<?php echo esc_attr( $id ); ?>"
>
	<tbody>
		<tr>
			<td
				id="web-<?php echo esc_attr( $id ); ?>-order-item"
				class="web-order-item"
				align="left"
				style='font-size: 13px; line-height: 22px; word-break: break-word;
				<?php echo 'font-family: ' . wp_kses_post( $attrs['family'] ); ?>;
				<?php echo esc_attr( 'padding: ' . $attrs['paddingTop'] . 'px ' . $attrs['paddingRight'] . 'px ' . $attrs['paddingBottom'] . 'px ' . $attrs['paddingLeft'] . 'px;' ); ?>
				'
			>
            <h2 class="title_b2bking" style="<?php echo esc_attr( $titleColor ); ?> ">
				<?php if ($message == '1'){?>
				<a class="link" href="<?php echo $offerlink;?>" style="font-weight: normal; text-decoration: underline; color: #96588a;" target="_blank">[<?php esc_html_e('Offer', 'b2bking'); echo ' #'.$offerid;?>]</a><?php } ?>

				 <?php 

				$year = date("Y");
				$day = date("j");
				$month = date("m");

				if ($month === '01'){
					$month = esc_html__('January', 'b2bking');
				} else if ($month === '02'){
					$month = esc_html__('February', 'b2bking');
				} else if ($month === '03'){
					$month = esc_html__('March', 'b2bking');
				} else if ($month === '04'){
					$month = esc_html__('April', 'b2bking');
				} else if ($month === '05'){
					$month = esc_html__('May', 'b2bking');
				} else if ($month === '06'){
					$month = esc_html__('June', 'b2bking');
				} else if ($month === '07'){
					$month = esc_html__('July', 'b2bking');
				} else if ($month === '08'){
					$month = esc_html__('August', 'b2bking');
				} else if ($month === '09'){
					$month = esc_html__('September', 'b2bking');
				} else if ($month === '10'){
					$month = esc_html__('October', 'b2bking');
				} else if ($month === '11'){
					$month = esc_html__('November', 'b2bking');
				} else if ($month === '12'){
					$month = esc_html__('December', 'b2bking');
				}
				
				echo '('.$month.' '.$day.', '.$year.')';


				?></h2>
			<div style="min-height: 10px; <?php echo esc_attr( 'color: ' . $attrs['textColor'] ); ?>;">
				<table cellspacing="0" cellpadding="6" border="1" style="width:100%;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
					<thead>
						<tr style="<?php echo esc_attr( $textColor ); ?>">
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titleProduct, 'yaymail' ); ?></th>
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titleQuantity, 'yaymail' ); ?></th>
							<th scope="col" style="padding:12px;text-align:left;border: 1px solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo esc_html__( $titlePrice, 'yaymail' ); ?></th>
						</tr>
					</thead>
                    <tbody>

						<?php

						$details = get_post_meta(apply_filters( 'wpml_object_id', $offerid, 'post' , true),'b2bking_offer_details', true);
						$offer_products = explode('|',$details);
						$custom_text = get_post_meta(apply_filters( 'wpml_object_id', $offerid, 'post' , true), 'b2bking_offer_customtext_textarea', true);

						$offer_price = 0;
		            	foreach ($offer_products as $product){
		            		$product_details = explode(';', $product);
		            		// if item is in the form product_id, change title
		            		$isproductid = explode('_', $product_details[0]); 
		            		if ($isproductid[0] === 'product'){
		            			// it is a product+id, get product title
		            			$newproduct = wc_get_product($isproductid[1]);

		            			if (is_a($newproduct,'WC_Product_Variation') || is_a($newproduct,'WC_Product')){
			            			$product_details[0] = $newproduct->get_name();
			            		}

		            			//if product is a variation with 3 or more attributes, need to change display because get_name doesnt 
		            			// show items correctly
		            			if (is_a($newproduct,'WC_Product_Variation')){
		            				$attributes = $newproduct->get_variation_attributes();
		            				$number_of_attributes = count($attributes);
		            				if ($number_of_attributes > 2){
		            					$product_details[0].=' - ';
		            					foreach ($attributes as $attribute){
		            						$product_details[0].=$attribute.', ';
		            					}
		            					$product_details[0] = substr($product_details[0], 0, -2);
		            				}
		            			}
		            			
		            			
		            		}

	            			$unit_price_display = $product_details[2];
	            			// get offer product
	            			$offerid = intval(get_option('b2bking_offer_product_id_setting', 0));
	            			$offer_product = wc_get_product($offerid);

	            			if (is_a($offer_product,'WC_Product')){
		            			if (is_a(WC()->customer, 'WC_Customer')){
			            			if( wc_prices_include_tax() && ('incl' !== get_option( 'woocommerce_tax_display_shop') || WC()->customer->is_vat_exempt())) {
			            				// if prices are entered including tax, but display is without tax, remove tax 
			            				// get tax rate for the offer product
			            				$tax_rates = WC_Tax::get_base_tax_rates( $offer_product->get_tax_class( 'unfiltered' ) ); 
			            				$taxes = WC_Tax::calc_tax( $unit_price_display, $tax_rates, true ); 
			            				$unit_price_display = WC_Tax::round( $unit_price_display - array_sum( $taxes ) ); 

			            			} else if ( !wc_prices_include_tax() && ('incl' === get_option( 'woocommerce_tax_display_shop') && !WC()->customer->is_vat_exempt())){
			            				// if prices are entered excluding tax, but display is with tax, add tax
			            				$tax_rates = WC_Tax::get_rates( $offer_product->get_tax_class() );
			            				$taxes     = WC_Tax::calc_tax( $unit_price_display, $tax_rates, false );
			            				$unit_price_display = WC_Tax::round( $unit_price_display + array_sum( $taxes ) );
			            			} else {
			            				// no adjustment
			            			}
			            		}
	            			}

	            			$offer_price+=$unit_price_display*$product_details[1];

	            			?>

	            			<tr class="order_item">
	            				<td class="td" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
	            				<?php echo esc_html(strip_tags($product_details[0])); ?>	</td>
	            				<td class="td" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
	            					<?php echo esc_html($product_details[1]); ?>		</td>
	            				<td class="td" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>">
	            					<?php echo wc_price($unit_price_display*$product_details[1]);?>		</td>
	            			</tr>
	            			<?php
	            	
		            	}

		            	?>
				
					</tbody>
                    <tfoot>					
						<tr>
							<th class="td" scope="row" colspan="2" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>"><?php esc_html_e('Total','b2bking');?>:</th>
							<td class="td" style="text-align:left;border-width: 1px;border-style: solid;<?php echo esc_attr( $borderColor ); ?>"><?php echo wc_price($offer_price);?></td>
						</tr>
					</tfoot>
				</table>
                <br><br><p>
				<?php
				
				if (!empty($custom_text) && $custom_text !== NULL){
					echo nl2br($custom_text);
				}
					?></p>
			</div>
		</td>
	  </tr>
	</tbody>
</table>